libvisio::VSDXParser Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDXParser Class Reference

`#include <VSDXParser.h>`

Inheritance diagram for libvisio::VSDXParser:

## Public Member Functions
| VSDXParser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
virtual | ~VSDXParser ()
bool | parseMain ()
bool | extractStencils ()
Public Member Functions inherited from libvisio::VSDXMLParserBase
| VSDXMLParserBase ()
virtual | ~VSDXMLParserBase ()

## Private Member Functions
| VSDXParser ()
| VSDXParser (const VSDXParser &)
VSDXParser & | operator= (const VSDXParser &)
xmlChar * | readStringData (xmlTextReaderPtr reader)
int | getElementToken (xmlTextReaderPtr reader)
int | getElementDepth (xmlTextReaderPtr reader)
int | skipSection (xmlTextReaderPtr reader)
bool | parseDocument (librevenge::RVNGInputStream *input, const char *name)
bool | parseMasters (librevenge::RVNGInputStream *input, const char *name)
bool | parseMaster (librevenge::RVNGInputStream *input, const char *name)
bool | parsePages (librevenge::RVNGInputStream *input, const char *name)
bool | parsePage (librevenge::RVNGInputStream *input, const char *name)
bool | parseTheme (librevenge::RVNGInputStream *input, const char *name)
void | parseMetaData (librevenge::RVNGInputStream *input, VSDXRelationships &rels)
void | processXmlDocument (librevenge::RVNGInputStream *input, VSDXRelationships &rels)
void | processXmlNode (xmlTextReaderPtr reader)
void | extractBinaryData (librevenge::RVNGInputStream *input, const char *name)
void | readPageSheetProperties (xmlTextReaderPtr reader)
void | readStyleProperties (xmlTextReaderPtr reader)
void | readShapeProperties (xmlTextReaderPtr reader)
void | getBinaryData (xmlTextReaderPtr reader)
void | readLayer (xmlTextReaderPtr reader)
void | readParagraph (xmlTextReaderPtr reader)
void | readCharacter (xmlTextReaderPtr reader)
void | readFonts (xmlTextReaderPtr reader)
void | readTabs (xmlTextReaderPtr reader)
void | readTabRow (xmlTextReaderPtr reader)

## Private Attributes
librevenge::RVNGInputStream * | m_input
librevenge::RVNGDrawingInterface * | m_painter
int | m_currentDepth
VSDXRelationships * | m_rels
VSDXTheme | m_currentTheme

## Additional Inherited Members
Protected Member Functions inherited from libvisio::VSDXMLParserBase
int | readByteData (unsigned char &value, xmlTextReaderPtr reader)
int | readByteData (boost::optional< unsigned char > &value, xmlTextReaderPtr reader)
int | readUnsignedData (boost::optional< unsigned > &value, xmlTextReaderPtr reader)
int | readLongData (boost::optional< long > &value, xmlTextReaderPtr reader)
int | readLongData (long &value, xmlTextReaderPtr reader)
int | readDoubleData (boost::optional< double > &value, xmlTextReaderPtr reader)
int | readDoubleData (double &value, xmlTextReaderPtr reader)
int | readBoolData (boost::optional< bool > &value, xmlTextReaderPtr reader)
int | readBoolData (bool &value, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, long &idx, xmlTextReaderPtr reader)
int | readExtendedColourData (Colour &value, xmlTextReaderPtr reader)
int | readExtendedColourData (boost::optional< Colour > &value, xmlTextReaderPtr reader)
int | readNURBSData (boost::optional< NURBSData > &data, xmlTextReaderPtr reader)
int | readPolylineData (boost::optional< PolylineData > &data, xmlTextReaderPtr reader)
int | readStringData (VSDName &text, xmlTextReaderPtr reader)
unsigned | getIX (xmlTextReaderPtr reader)
virtual void | _handleLevelChange (unsigned level)
void | _flushShape ()
void | readEllipticalArcTo (xmlTextReaderPtr reader)
void | readEllipse (xmlTextReaderPtr reader)
void | readGeometry (xmlTextReaderPtr reader)
void | readMoveTo (xmlTextReaderPtr reader)
void | readLineTo (xmlTextReaderPtr reader)
void | readArcTo (xmlTextReaderPtr reader)
void | readNURBSTo (xmlTextReaderPtr reader)
void | readPolylineTo (xmlTextReaderPtr reader)
void | readInfiniteLine (xmlTextReaderPtr reader)
void | readRelCubBezTo (xmlTextReaderPtr reader)
void | readRelEllipticalArcTo (xmlTextReaderPtr reader)
void | readRelLineTo (xmlTextReaderPtr reader)
void | readRelMoveTo (xmlTextReaderPtr reader)
void | readRelQuadBezTo (xmlTextReaderPtr reader)
void | readForeignData (xmlTextReaderPtr reader)
void | readShape (xmlTextReaderPtr reader)
void | readColours (xmlTextReaderPtr reader)
void | readPage (xmlTextReaderPtr reader)
void | readText (xmlTextReaderPtr reader)
void | readCharIX (xmlTextReaderPtr reader)
void | readParaIX (xmlTextReaderPtr reader)
void | readLayerIX (xmlTextReaderPtr reader)
void | readLayerMember (xmlTextReaderPtr reader)
void | readStyleSheet (xmlTextReaderPtr reader)
void | readPageSheet (xmlTextReaderPtr reader)
void | readSplineStart (xmlTextReaderPtr reader)
void | readSplineKnot (xmlTextReaderPtr reader)
void | readStencil (xmlTextReaderPtr reader)
void | handlePagesStart (xmlTextReaderPtr reader)
void | handlePagesEnd (xmlTextReaderPtr reader)
void | handlePageStart (xmlTextReaderPtr reader)
void | handlePageEnd (xmlTextReaderPtr reader)
void | handleMastersStart (xmlTextReaderPtr reader)
void | handleMastersEnd (xmlTextReaderPtr reader)
void | handleMasterStart (xmlTextReaderPtr reader)
void | handleMasterEnd (xmlTextReaderPtr reader)
void | skipPages (xmlTextReaderPtr reader)
void | skipMasters (xmlTextReaderPtr reader)
Protected Attributes inherited from libvisio::VSDXMLParserBase
VSDCollector * | m_collector
VSDStencils | m_stencils
VSDStencil * | m_currentStencil
VSDShape | m_shape
bool | m_isStencilStarted
unsigned | m_currentStencilID
bool | m_extractStencils
bool | m_isInStyles
unsigned | m_currentLevel
unsigned | m_currentShapeLevel
std::map< unsigned, Colour > | m_colours
VSDFieldList | m_fieldList
VSDShapeList | m_shapeList
librevenge::RVNGBinaryData | m_currentBinaryData
std::stack< VSDShape > | m_shapeStack
std::stack< unsigned > | m_shapeLevelStack
bool | m_isShapeStarted
bool | m_isPageStarted
VSDGeometryList * | m_currentGeometryList
unsigned | m_currentGeometryListIndex
std::map< unsigned, VSDName > | m_fonts
std::map< unsigned, VSDTabStop > * | m_currentTabSet
XMLErrorWatcher * | m_watcher

## Constructor & Destructor Documentation

## § VSDXParser() [1/3]

libvisio::VSDXParser::VSDXParser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |
| explicit

## § ~VSDXParser()

libvisio::VSDXParser::~VSDXParser | ( |  | ) |
| virtual

## § VSDXParser() [2/3]

libvisio::VSDXParser::VSDXParser | ( |  | ) |
| private

## § VSDXParser() [3/3]

libvisio::VSDXParser::VSDXParser | ( | const VSDXParser & |  | ) |
| private

## Member Function Documentation

## § extractBinaryData()

void libvisio::VSDXParser::extractBinaryData | ( | librevenge::RVNGInputStream * | input,
|  | const char * | name
| ) |  |
| private

Referenced by getBinaryData(), and processXmlDocument().

## § extractStencils()

bool libvisio::VSDXParser::extractStencils | ( |  | ) |
| virtual

Implements libvisio::VSDXMLParserBase.

## § getBinaryData()

void libvisio::VSDXParser::getBinaryData | ( | xmlTextReaderPtr | reader | ) |
| privatevirtual

Implements libvisio::VSDXMLParserBase.

## § getElementDepth()

int libvisio::VSDXParser::getElementDepth | ( | xmlTextReaderPtr | reader | ) |
| privatevirtual

Implements libvisio::VSDXMLParserBase.

Referenced by processXmlNode(), readPageSheetProperties(), and readStyleProperties().

## § getElementToken()

int libvisio::VSDXParser::getElementToken | ( | xmlTextReaderPtr | reader | ) |
| privatevirtual

Implements libvisio::VSDXMLParserBase.

Referenced by processXmlNode(), readCharacter(), readFonts(), readLayer(), readPageSheetProperties(), readParagraph(), readShapeProperties(), readStyleProperties(), readTabRow(), readTabs(), and skipSection().

## § operator=()

VSDXParser& libvisio::VSDXParser::operator= | ( | const VSDXParser & |  | ) |
| private

## § parseDocument()

bool libvisio::VSDXParser::parseDocument | ( | librevenge::RVNGInputStream * | input,
|  | const char * | name
| ) |  |
| private

Referenced by parseMain().

## § parseMain()

bool libvisio::VSDXParser::parseMain | ( |  | ) |
| virtual

Implements libvisio::VSDXMLParserBase.

Referenced by extractStencils().

## § parseMaster()

bool libvisio::VSDXParser::parseMaster | ( | librevenge::RVNGInputStream * | input,
|  | const char * | name
| ) |  |
| private

Referenced by processXmlDocument().

## § parseMasters()

bool libvisio::VSDXParser::parseMasters | ( | librevenge::RVNGInputStream * | input,
|  | const char * | name
| ) |  |
| private

Referenced by parseDocument().

## § parseMetaData()

void libvisio::VSDXParser::parseMetaData | ( | librevenge::RVNGInputStream * | input,
|  | libvisio::VSDXRelationships & | rels
| ) |  |
| private

Referenced by parseMain().

## § parsePage()

bool libvisio::VSDXParser::parsePage | ( | librevenge::RVNGInputStream * | input,
|  | const char * | name
| ) |  |
| private

Referenced by processXmlDocument().

## § parsePages()

bool libvisio::VSDXParser::parsePages | ( | librevenge::RVNGInputStream * | input,
|  | const char * | name
| ) |  |
| private

Referenced by parseDocument().

## § parseTheme()

bool libvisio::VSDXParser::parseTheme | ( | librevenge::RVNGInputStream * | input,
|  | const char * | name
| ) |  |
| private

Referenced by parseDocument().

## § processXmlDocument()

void libvisio::VSDXParser::processXmlDocument | ( | librevenge::RVNGInputStream * | input,
|  | VSDXRelationships & | rels
| ) |  |
| private

Referenced by parseDocument(), parseMaster(), parseMasters(), parsePage(), and parsePages().

## § processXmlNode()

void libvisio::VSDXParser::processXmlNode | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlDocument(), and readShapeProperties().

## § readCharacter()

void libvisio::VSDXParser::readCharacter | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readShapeProperties(), and readStyleProperties().

## § readFonts()

void libvisio::VSDXParser::readFonts | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readLayer()

void libvisio::VSDXParser::readLayer | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readPageSheetProperties().

## § readPageSheetProperties()

void libvisio::VSDXParser::readPageSheetProperties | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readParagraph()

void libvisio::VSDXParser::readParagraph | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readShapeProperties(), and readStyleProperties().

## § readShapeProperties()

void libvisio::VSDXParser::readShapeProperties | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readStringData()

xmlChar * libvisio::VSDXParser::readStringData | ( | xmlTextReaderPtr | reader | ) |
| privatevirtual

Implements libvisio::VSDXMLParserBase.

Referenced by readShapeProperties().

## § readStyleProperties()

void libvisio::VSDXParser::readStyleProperties | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by processXmlNode().

## § readTabRow()

void libvisio::VSDXParser::readTabRow | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readTabs().

## § readTabs()

void libvisio::VSDXParser::readTabs | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readShapeProperties().

## § skipSection()

int libvisio::VSDXParser::skipSection | ( | xmlTextReaderPtr | reader | ) |
| private

Referenced by readShapeProperties().

## Member Data Documentation

## § m_currentDepth

int libvisio::VSDXParser::m_currentDepth
| private

Referenced by getElementDepth(), and processXmlDocument().

## § m_currentTheme

VSDXTheme libvisio::VSDXParser::m_currentTheme
| private

Referenced by parseTheme(), readShapeProperties(), and readStyleProperties().

## § m_input

librevenge::RVNGInputStream* libvisio::VSDXParser::m_input
| private

Referenced by getBinaryData(), parseMain(), and processXmlDocument().

## § m_painter

librevenge::RVNGDrawingInterface* libvisio::VSDXParser::m_painter
| private

Referenced by parseMain().

## § m_rels

VSDXRelationships* libvisio::VSDXParser::m_rels
| private

Referenced by getBinaryData(), and processXmlDocument().

The documentation for this class was generated from the following files:

- VSDXParser.h
- VSDXParser.cpp